<form action="{$VAL_SELF}" method="post" enctype="multipart/form-data">
  <div id="order_fulfilment" class="tab_content">
	<h3>{$LANG.order_fulfilment.module_title}</h3>
	<p>{$LANG.order_fulfilment.module_description}</p>
	
	<fieldset><legend>Configuration Settings</legend>
		<div><label for="status">{$LANG.common.status}</label><span><input type="hidden" name="module[status]" id="status" class="toggle" value="{$MODULE.status}" />&nbsp;</span></div>
		<div><label for="customer_facing_mode">{$LANG.order_fulfilment.module_setting_customer_facing_mode}</label><span><input type="hidden" name="module[customer_facing_mode]" id="customer_facing_mode" class="toggle" value="{$MODULE.customer_facing_mode}" />&nbsp;</span></div>
		<div><label for="include_notes_in_email">{$LANG.order_fulfilment.module_setting_include_notes_in_email}</label><span><input type="hidden" name="module[include_notes_in_email]" id="include_notes_in_email" class="toggle" value="{$MODULE.include_notes_in_email}" />&nbsp;</span></div>
		<div><label for="turn_off_completion_emails">{$LANG.order_fulfilment.module_setting_turn_off_completion_emails}</label><span><input type="hidden" name="module[turn_off_completion_emails]" id="turn_off_completion_emails" class="toggle" value="{$MODULE.turn_off_completion_emails}" />&nbsp;</span></div>
		<div><label for="auto_mark_orders_completed">{$LANG.order_fulfilment.module_setting_auto_mark_orders_completed}</label><span><input type="hidden" name="module[auto_mark_orders_completed]" id="auto_mark_orders_completed" class="toggle" value="{$MODULE.auto_mark_orders_completed}" />&nbsp;</span></div>
	</fieldset>

	<fieldset><legend>{$LANG.order_fulfilment.module_license_settings}</legend>
		<div><label for="ndl_license_key">{$LANG.order_fulfilment.module_license_key}</label><span><input name="module[ndl_license_key]" id="ndl_license_key" class="textbox" type="text" value="{$PLUGIN_LICENSE_KEY}" /></span></div>
		{$PLUGIN_LICENSE_STATUS}
		{$PLUGIN_SUPPORT_STATUS}
		{if isset($PLUGIN_SUPPORT_ENDS)}
			{$PLUGIN_SUPPORT_ENDS}	
		{/if}
		<input type="hidden" name="module[general_tab]" value="general_tab">
	</fieldset>

	<fieldset><legend>{$LANG.order_fulfilment.module_license_versions}</legend>
		<div>{$LANG.order_fulfilment.module_license_version}: {$PLUGIN_VERSION} </div>
		{if isset($PLUGIN_MESSAGES)}
			{$PLUGIN_MESSAGES}
		{/if}
	</fieldset>	
	
  <div class="form_control">
	<input type="submit" value="{$LANG.common.save}" />
  </div>
  <input type="hidden" name="token" value="{$SESSION_TOKEN}" />
 </div>
</form>

<div id="user_guide" class="tab_content">
	<h3>{$LANG.order_fulfilment.order_fulfilment_user_guide_title}</h3>
	<p>Order Fulfilment plugin provides an alternate way to manage your after sales, pre-dispatch business processes. Order fulfilment allows for tracking every single item within the order during the after sales process, rather than the standard method of tracking the status of the overall order.</p> 
	
	<p>The module can be used in one of two ways. Firstly, it can be used as an internal only system. Internal only means the information about the order item status is only visible within your store. No information about the order fulfilment status is shared with the customer. The second method is a customer facing model where the information about packages and package contents is shared with the customer via e-mails.</p>
	
	<p><span style="font-weight: bold;">Module Settings:</span><br/>
		<ul>
			<li><span style="font-weight: bold;">Status:</span> Toggles the module to be on, or off.</li>
			<li><span style="font-weight: bold;">E-Mail Updates To Customers:</span> When this setting is enabled the module is running in a "Customer Facing" mode. Whenever a package is marked as sent the customer is sent an e-mail with the details of the dispatched package.</li>
			<li><span style="font-weight: bold;">Include Notes in Customer Emails:</span> This setting is only applicable if you are sending emails to your customers. When this setting is enabled any notes related to items in packages or the packages themselves are shared with the customer. When this setting is disabled all notes are considered internal.</li>
			<li><span style="font-weight: bold;">Suppress Order Complete Emails:</span> If you wish to disable the standard CubeCart order complete e-mail, turn this on. With this enabled you are essentially replacing the CubeCart order completion e-mail with the notifications from the order fulfilment module.</li>
			<li><span style="font-weight: bold;">Auto Update Orders as Complete:</span> When enabled, once an order has had all of the line items marked as shipped the module will set the overall order status to Complete. This will cause the order complete e-mail to be sent unless the email is being suppressed.</li>
		</ul>
	</p>
	<br/>
	<p><span style="font-weight: bold;">The Order Fulfilment Concept:</span><br/>
		The module assumes that you pick, pack and post all of your inventory and hooks into your business packing processes. The picker builds a virtual representation of the packages being sent to the customer by placing quantities of inventory into virtual packages. You can split out the order into as many packages as required. Once the packages have been completed the picker can mark the packages as shipped. Marking a package as shipped confirms the picker has put the goods in the package and the package has left your premesis. In some cases you may not have enough inventory to be able to fulfil the complete order. When this happens the picker will check the "Waiting on stock" checkbox.
	</p>
	<p>
		Once items have been marked as "Waiting on stock" they will show up witin the "Order Shortages" reports. Admins can view a list of all orders that are waiting on stock as well quickly see which items, and how many items are outstanding. In complex stocking scenarios there may be multiples of the same item outstanding. To assist with understanding which items are short the second report lists the total of each item that is short. Once a shortage has been addressed, the order can be updated and the "waiting on stock" checkbox unticked. 
	</p>
	
	<p>
		To help admins get a quick overview of the current state of orders a new order overview screen has been added called "Order Fulfilment". This screen adds some stats about the current orders and also uses colour codes for quick visual references. 
	</p>
	<br/>
	<p><span style="font-weight: bold;">Email Templates &amp; Languages:</span><br/>
	The module makes use of an e-mail template, but not in the traditional CubeCart way. The module has it's own e-mail template file which is found in the /modules/plugins/order_fulfilment/template_files directory. You can directly edit this files to modify the content of the email. Why does this module use it's own template system? Because the on in CubeCart sucks when you use smarty code with it. If you edit any e-mail template via the admin area it normally throws an error. Using our own template files is a lot more stable. The module makes full use of the CubeCart language system and will translate the e-mail content into whatever language the customer is registed using. The e-mail subject is a special case. To configure the subject of the e-mail you must modify the language entery via the "Languages > Edit > Modules - Plugins - order fulfilment > order_fulfilment_email_subject". You can use the placeholder |CART_ORDER_ID| in the subject which will be swapped out for the actual order number when the e-mail is sent.
	</p>
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
</div>